﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Database;
using Microsoft.EntityFrameworkCore;

namespace EFCoreSqlLite
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            RefreshMovieList();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            using (DatabaseContext dbContext = new DatabaseContext())
            {
                dbContext.Persons.Add(new Person { Name = TextBoxName.Text });
                dbContext.SaveChanges();

                RefreshMovieList();
            }
        }

        private void RefreshMovieList()
        {
            using (DatabaseContext dbContext = new DatabaseContext())
            {
                ListViewNames.ItemsSource = dbContext.Persons
                    .OrderBy(m => m.Name)
                    .Select(m => m.Name)
                    .ToList();
            }
        }
    }
}
